<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('marketing_officer_users', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('marketing_officer_id');
            $table->unsignedBigInteger('user_id');
            $table->timestamp('assigned_at')->nullable();
            $table->timestamps();

            $table->foreign('marketing_officer_id')->references('id')->on('users')->onDelete('cascade');
            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');
            
            $table->unique(['marketing_officer_id', 'user_id']);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('marketing_officer_users');
    }
};
